Bug 223482 - Account list UI is not polished
Summary: Account list UI is not polished
Status: RESOLVED UNMAINTAINED
Alias: None
Product: kmail2
Classification: Unclassified
Component: config dialog (show other bugs)
Version: 1.99.0
Platform: Unlisted Binaries Linux
: LO normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords: akonadi-ports-regression
Depends on:
Blocks: 223438
  Show dependency treegraph
 
Reported: 2010-01-19 22:02 UTC by Thomas McGuire
Modified: 2017-01-07 22:41 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas McGuire 2010-01-19 22:02:23 UTC
The UI for the account list is not very good at the moment:

- It offers me to add an account "dummy mailtransport resource"
- It shows "offline" for "Local Folders", which doesn't make much sense
- The list has a totally different style than the sending tab
Comment 1 Thomas McGuire 2010-04-05 16:57:21 UTC
Also, it shows the notes resource if active.
Comment 2 Thomas McGuire 2010-04-05 18:49:29 UTC
Currently, the sending accounts get their name when creating them, and can be renamed with a button next to the account list. The receiving accounts, on the other hand, can be renamed in the account settings dialog.
This is inconsistent.
Comment 3 Laurent Montel 2010-08-18 18:14:39 UTC
SVN commit 1165241 by mlaurent:

Exclude MailTransport from received account
CCBUG: 223482


 M  +2 -0      configuredialog.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1165241
Comment 4 Laurent Montel 2010-08-18 18:17:22 UTC
SVN commit 1165242 by mlaurent:

Allow to excludes Notes from account (not necessary in kmail)
CCBUG: 223482


 M  +2 -0      kmail/configuredialog.cpp  
 M  +1 -1      runtime/resources/akonotes/akonotesresource.desktop  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1165242
Comment 5 Bernd Oliver Sünderhauf 2011-12-14 13:22:07 UTC
The "Dummy MailTransport Resource" is still (or again) there, in KMail 4.7.3.

May also someone change the status to "confirmed", please.
Comment 6 Laurent Montel 2012-11-14 14:37:36 UTC
Git commit 7698fd59f28588c22d6ed5328f109f2de6389c7d by Montel Laurent.
Committed on 14/11/2012 at 15:36.
Pushed by mlaurent into branch 'KDE/4.9'.

Don't show "offline" checkbox for local resources

M  +9    -6    kmail/configuredialog.cpp
M  +8    -0    mailcommon/mailutil.cpp
M  +2    -0    mailcommon/mailutil.h

http://commits.kde.org/kdepim/7698fd59f28588c22d6ed5328f109f2de6389c7d
Comment 7 Denis Kurz 2016-09-24 18:14:32 UTC
This bug has only been reported for versions before 4.14, which have been unsupported for at least two years now. Can anyone tell if this bug still present?

If noone confirms this bug for a Framework-based version of kmail2 (version 5.0 or later, as part of KDE Applications 15.12 or later), it gets closed in about three months.
Comment 8 Denis Kurz 2017-01-07 22:41:42 UTC
Just as announced in my last comment, I close this bug. If you encounter it again in a recent version (at least 5.0 aka 15.08), please open a new one unless it already exists. Thank you for all your input.